Subject: [os2genau_digest] No. 400
From: Digest <deadmail>
To: "OS/2GenAu Digest" <deadmail>
Date: Fri, 19 Jul 2002 00:01:05 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 18 July 2002
 Number  400
**************************************************

Subjects for today
 
1  Re: [os2genau] Simple networking questions form a simpleton : Tony Wilson" <ianatos2site dot com>
2  [os2genau] ot: hardware cooked : Voytek Eymont <voytekatsbt dot net dot au>
3  Re: [os2genau] ot: hardware cooked : Ian Manners" <ianatos2site dot com>
4  Re: [os2genau] Simple networking questions form a simpleton : Gavin Miller" <drumextremeatimpulse dot net dot au>
5  [os2genau] Complex email, spam and security issues - suggestions please : Red Hil Technology" <ianatos2site dot com>
6  Re: [os2genau] Complex email, spam and security issues - suggestions please : Ian Manners" <ianatos2site dot com>

**= Email   1 ==========================**

Date:  Thu, 18 Jul 2002 01:20:21 +1000
From:  "Tony Wilson" <ianatos2site dot com>
Subject:  Re: [os2genau] Simple networking questions form a simpleton

From: "Tony Wilson" <redhillatredhill dot net dot au>  [Digest Member]

You may get some value from my simple guide to ordinary peer networking with OS/2 (i.e., non-TCP/IP) which is here: 
http://www.redhill dot net dot au/ecs/ecslan.html

If nothing else, that might help you feel a little more confident about getting a cross-platform LAN up and running. Once you 
get the basic network up,  adding machines of different flavours (OS/2, Windows, ECS, whatever) is relatively easy. At my 
office I run an ungodly mixture of operating systems, all on the same network. There is one each of ECS, Windows NT, 
Windows 3.1,  and Windows 98, plus two Warp 4 systems. At various times I've also had Windows 2000 and Windows 95 
machines plugged in. As I said, once you have the basic LAN up, adding machines is easy.

But to share your internet connection, you need it to be a TCP/IP network. You can't share over NetBEUI. (At least, not that I 
am aware of.) 

Your best bet is, if you are using ECS on your main system (KEV) to use the excellent InJoy dialer to do the internet 
sharing. You will be limited to four machines unless you buy an upgrade to the 12 station "SOHO" version, but that should 
not worry you. The standard one that comes free with ECS will do you just fine.  You only need it on the machine that has 
the modem. The others can run plain Warp 4, Windows 98, Windows 95, whatever you like, just so long as it can connect to 
your TCP/IP network.

There is a really useful article about TCP/IP networking with OS/2 at Judy's Warped World (sorry, I don't have the address 
here at home - post again if you can't find it, I have it at the office). Armed with that, with some paitence, with InJoy, and with 
the quite detailed extended FAQs at the InJoy site (www.something.de - another address I can dig out if you need it), you 
should do just fine. (Watch out for InJoy's FAQ and *also* for their OAQ - "often asked questions", a seperate page that has 
more detail.)

No, you don't want to install LAN Server Admin.

From memory (I'm at home with my W2K box and can't check this stuff here):

Your domain name is HOME
Subnet Mask  is indeed 255.255.255.0
Router is 192.168.0.1 (the IP addres of the machine that has the modem)
Name Server  is indeed your ISP's DNS: 203.0.178.191
Your host name is the same as your machine's network name - "KEV"  or "SAM" and so on.
The domain name is "HOME" - same as what Windoze calls the "workgroup".
You have to put "iinet dot net dot au" in somewhere too, can't remember where. I'll have to check on one of the office machines and 
get back to you.

What happens when you are not connected to the net? Beats me! You LAN just works anyway. 

DON'T use the OS/2 Realtek drivers that came on the floppy disc. They are buggy and the system traps under heavy load. 
This is a known bug. Download the updated ones from www.ecomstation dot com or (I guess) www.realtek dot com.tw  For my two 
quasi-fileservers, I spent the extra to get Intel LAN cards (this was back before the drivers were fixed), but I didn't bother with 
the light-duty machines. The bug only triggers under heavy load.

Go do it!

Tony Wilson
www.redhill dot net dot au
tonyatredhill dot net dot au

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 18 Jul 2002 13:38:19
From:  Voytek Eymont <voytekatsbt dot net dot au>
Subject:  [os2genau] ot: hardware cooked

can any win virus damage hardware...? beyond scrambling CMOS ?

I just went to see my buddy's W98 PII-800 machine, when I plugged it, the
power supply started belching smoke big time;
after I replaced power supply, I noticed, the 128 RAM PC133 is cooked,
*every* chip has burn marks.

any thoughts ?

did the RAM cook, and took power supply...?

with new power supply, the CPU fan wouldn't start till I 'hand-cranked it';
but, when I plugged in a benchtop 12 volt power supply, cpu fan spins OK.

Voytek Eymont
SBT Information Systems Pty Ltd
http://www.sbt dot net dot au/links/
phone +61-2 9310-1144 fax +61-2 9310-1118 
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 18 Jul 2002 14:25:35 +1000 (EST)
From:  "Ian Manners" <ianatos2site dot com>
Subject:  Re: [os2genau] ot: hardware cooked

Hi Voytek

>can any win virus damage hardware...? beyond scrambling CMOS ?

Not to my knowledge, its possible but not in the way you describe
this.

>I just went to see my buddy's W98 PII-800 machine, when I plugged it, the
>power supply started belching smoke big time;
>after I replaced power supply, I noticed, the 128 RAM PC133 is cooked,
>*every* chip has burn marks.
>any thoughts ?

Must be a cheap P/S unit without crowbar protection if it can overvoltage
and damage a M/B in that fashion, sounds more like its supplied the
full 240v to the 5 volt rail.....

I would consider both PS and MB as junk for the bin.

Cheers
Ian B Manners
http://www.os2site dot com/

Armed, Dangerous.......and off my medication.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 18 Jul 2002 16:29:40 +1100 (EDT)
From:  "Gavin Miller" <drumextremeatimpulse dot net dot au>
Subject:  Re: [os2genau] Simple networking questions form a simpleton

Hi Kev,

You said you only wanted P2P right?  You don't need IP addresses unless you want to 
share an internet conection.  OS/2 Peer does nicely for me.  I have two machines here.  
One Warp3 no FP, and the other Warp4 FP9 and various Windows Laptops that I 
borrow from work from time to time, and I can share files and the like all I want.  I have 
not setup TCP/IP across the LAN as I have no need to.  

The key is to assign NetBIOS (NetBeui on windows) to the Nic cards you use on each 
machine.  You will have to give your network a name, so HOME should be OK for you.  
When you install Peer the default name will be IBMPEER or somthing like that; I can't 
remember exactly.  You don't need to setup TCP/IP if you don't want to share DIAL UP 
internet connections across the LAN.  I assume ADSL would be different.

There was an article on OS/2 ezine that delt with setting up a home network a while ago.  
have a search for it.

Cheers
G

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 18 Jul 2002 21:37:51 +1000 (EST)
From:  "Red Hil Technology" <ianatos2site dot com>
Subject:  [os2genau] Complex email, spam and security issues - suggestions please

From: "Red Hil Technology" <redhillatredhill dot net dot au>   [Digest Member]

Forgive me for the length and complexity of this. I'm hoping that you guys will be able to 
make some sensible suggestions to make email a usable practical thing for me, as 
opposed to my current chaotic non-system, which is all but useless.

The background:

I have  the following accounts:

dial-up personal account with Netconnect (my local ISP)
  twilsonatnetconnect dot com dot au 
  This is my primary mailbox

dial-up shop account with Netconnect (the free reseller's account we have with our ISP)
  rhtatnetconnect dot com dot au
  I rarely get mail here, but need to check it once every week or so for stuff related to the 
ISP connections we re-sell

dial-up account with Primus
  redhillatiprimus dot com dot au
  Never use this mailbox, except for Primus notices.
  Will be cancelling it when my cable connection comes on-line next week

Business cable connection with Neighbourhood Cable (next week)
  will have an email address associated with it which I don't intend to use at this stage
  will become my primary web connection from the office
  will have a static IP address (yet to be assigned)

Home cable connection with Neighbourhood Cable (next week)
  will have an email address associated with it which I don't intend to use at this stage
  will become my primary web connection from home
  will *not* have a static IP (though I could add one if required)

Web page hosted by Netconnect
  anythingyoulikeatredhill dot net dot au
  Any mail sent to redhill dot net dot au (e.g, tonyatredhill dot net dot au, heyyouatredhill dot net dot au, 
salesatredhil dot net dot au, helpatredhill dot net dot au, whatever) gets piped straight to my primary 
personal mail box above (twilsonatnetconnect dot com dot au) 

-----------------------

That's where the mail goes to. Now, here is what I do with it at present - the unworkable 
"non-system":

The primary mail-reading machine is at the office, runs ECS, and I use PMMail to collect 
mail in the ordinary way from the primary mail box (which gets 
twilsonatnetconnect dot com dot au and anything atredhill dot net dot au), and also (using PMMail's 
multiple account feature) from the odd-bod mail boxes (like Primus or the shop account) 
every now and then. So far, so good.

From home, I use PMMail for Windows to read any mail that happens to have arrived 
since I last checked it at the office, and leave the messages on the server so that any 
business mail that arrives overnight is still there waiting to be collected when I get back to 
the office. Sometimes I use a different machine in a different location (my girlfriend's 
place, for example) in the same way.

Next, the problems:

1: I get *masses* of SPAM. So much so that all too often I miss messages from my 
mother, because I just don't see them in amongst all that spam. From time to time I have 
toyed with spam eradicators, PMMail filters, and so on, but it is just too complicated with 
*two* different machines to set all that up with, for what is in any case an uncertain result. 

2: The business machine gets clogged up with all sorts of non-business stuff (which is not 
too bad, but I mention it for completeness).

3: Often I want to reply to a personal or semi-personal message at home (which is the 
only place I get time to do it), but don't have it there, because it arrived during business 
hours and the only copy of it is on the work machine. Sometimes I remember to email it to 
myself before I leave the office (using one of the odd-bod addresses, such as the Primus 
one so that it won't get "cleaned out" by the main mail machine) and then have to mess 
about collecting it, then copying and pasting it into the inbox of the account I am logged on 
with at the time. (This is because if you just hit "reply" to a message, PMMail will, 
perfectly sensibly, try to send the reply using the account that the mail has arrived in, but 
I'm often not logged on to that particular server at the time. You can get around this by 
playing with the account settings in PMMail: for example, I have my redhillatredhill dot net dot au 
account set to always get mail from mail dot netconnect dot com dot au (who host the redhill site) 
using username twilson and the appropriate password for my primary mailbox, but to 
*send* using smtp.iprimus dot com dot au using *that* username and password. This works OK 
3/4s of the time but many mail servers and clients look at the mixture of addresses in the 
header and refuse to accept the message, thinking that it is spam. The os2 dot org dot au mail list 
processor is an example. I'll have to make a special "send only" account in PMMail for 
OS/2 to send this very message if I don't want it to bounce (just like the one I already 
made the other week on my home copy of PMMail for Windows.)

4: I'm going onto cable next week, both at home and at the office. At this stage I don't 
expect any particular problems with that so far as basic connectivity goes, I can just plug 
the cable modem into my network hub and go from there (I think) but the office network in 
particular will become vulnerable to the usual hacking attacks, as it will have a static IP. 
So I need a firewall. With me so far?

--------------------------

Solutions?

Here is what I propose to do. Please, anyone with experience in this area, tell me if this 
makes sense, and sing out if you have suggestions.

1: Set up a firewall for the office, probably on a seperate, dedicated machine. (There is no 
shortage of hardware here.) This could be a Linux box, which would be cheap and give me 
access to lots of helpful support, but require me to do a fair bit of learning - I have very 
little Linux experience. (Mind you, perhaps having to learn some Linix administration skills 
would be a good thing for me!) I could use some form of Windows, but why? Most likely I'll 
use an OS/2 or ECS box. Probably Warp 4 as I already have a spare licence or two for 
that.

If I *do* use an OS/2 box for this, which firewall software should I use? There is a firewall 
bundled free with ECS. I already own InJoy Firewall with a 12-user licence (though I have 
not yet used it). InJoy sounds like the obvious choice, but does anyone have any 
experience with it? Points for? Points against?

2: Set up my own mail server. Now this is something I know almost *nothing* about. What 
package? How to set it up? I guess the ideal system would be to have the firewall box be 
the mail server. As it will have a static IP, I'll be able to access it from the LAN, from 
home, from anywhere. Is it possible to set it up in such a way that I can filter the incoming 
mail into various folders on the mail server/firewall, and then access just the appropriate 
ones - personal mail to tonyatredhill dot net dot au from home, supplier pricelists to 
pricesatredhill dot net dot au from one of the office machines, and so on?  Ideally, I'd be able to 
leave all mail on the mail server/firewall for a certain period (a week, say) so that I could 
(e.g) read the os2 dot org dot au digest at the office if I get a spare minute and feel like a break 
from 'real' work, but then read it again at home and maybe draft a reply later on.

3: Look at junk mail filtering. JunkSpy seems to get excellent reviews. Does anyone use 
it? Will it conflict with anything else I have planned? 

----------------------

Thanks for any help anyone can offer with this, and my apologies again for the length of it.

Tony.

PS: While writing this, I downloaded and installed Junk Spy. A *very* impressive package 
on first sight. I registered it already - so I hope no-one tells me it's useless!

Tony Wilson
Red Hill Technology
www.redhill dot net dot au
redhillatredhill dot net dot au

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 18 Jul 2002 23:36:46 +1000 (EST)
From:  "Ian Manners" <ianatos2site dot com>
Subject:  Re: [os2genau] Complex email, spam and security issues - suggestions please

Hi Tony

<Snip>lots of stuff</snip>

For office use I would use an OS/2 (eCS) box with InJoy's firewall
and NATed address's.

You could use TCP/IP v4.3x's buildin firewall but it can be dangerous
if you arent sure of what you are doing with TCP/IP packets, and it
doesnt do Network Address Translation (NAT).

If you have one static IP at your office, check with your ISP that
you ARE allowed to use it for a server, if you are then you are
set. You can have your own mail server, on the firewall box, and
your ISP is then likely to allow you to use his mail server as a
secondary MX.

If you control your own mailserver, then yes, you can have tonyat...
adminat..... as totally seperate accounts. You can also change
the email address on your website to a formbased address, or
ask you website hoster to use drop filters so that spammers cant
scan your website for email address harvesting. Though you can
just subscribe to an email Black Hole List which will get rid of a
lot for your spam for you as long as your mail server supports RBL's.

Mail Server ?

ZxMail or Weasel are excellent produces for your use.
Paul Hethmons inet.server is also good but pricey, and
is very much overkill for your setup.

Using your own servers you can also use products like
WeaselFilter, as well as the servers capacity to refuse
email from spamsites that you can personally enter in.

Always happy to talk with you about all this.

Know any jobs going in the industry :-)

Cheers
Ian B Manners
http://www.os2site dot com/

It could be worse... (BOOOM) It's worse.
----------------------------------------------------------------------------------